from django.conf import settings
from django.conf.urls.static import static
from django.urls import path
from messages import views


urlpatterns = [
    path('', views.main, name='main'),
    path('register', views.register_page, name='register'),
    path('login', views.login_page, name='login'),
    path('logout', views.logout_page, name='logout'),
    path('profile/<int:user_id>', views.profile, name='profile'),
    path('compose', views.compose_page, name='compose'),
    path('inbox', views.inbox, name='inbox'),
    path('outbox', views.outbox, name='outbox')
] + static(
	settings.STATIC_URL,
	document_root=settings.STATIC_ROOT
)
