from django.shortcuts import redirect

from messages.models import User


def require_login(view):
    def process(request, **kwargs):
        if 'user_id' not in request.session:
            return redirect('login')
        request.user = User.objects.get(pk=request.session['user_id'])
        return view(request, **kwargs)
    return process


def require_guest(view):
    def process(request, **kwargs):
        if 'user_id' in request.session:
            return redirect('inbox')
        return view(request, **kwargs)
    return process


