from django.db import models


class User(models.Model):
    username = models.CharField(max_length=128, unique=True)
    password = models.CharField(max_length=128)
    is_blocked = models.BooleanField(default=False)


class Message(models.Model):
    sender = models.ForeignKey('User', on_delete=models.CASCADE, related_name='sent')
    recipient = models.ForeignKey('User', on_delete=models.CASCADE, related_name='received')
    text = models.CharField(max_length=1024)
    created = models.DateTimeField(auto_now_add=True)

