from base64 import b64encode, b64decode
from Crypto.Cipher import AES
from django import template

from dialog.settings import ENCRYPTION_KEY

register = template.Library()


@register.filter
def decrypt(message):
    try:
        key = ENCRYPTION_KEY.encode()
        nonce, ciphertext, tag = map(b64decode, message.split('|'))

        cipher = AES.new(key, AES.MODE_EAX, nonce=nonce)
        plaintext = cipher.decrypt(ciphertext)
        cipher.verify(tag)

        return plaintext.decode()
    except ValueError:
        return "[bad message]"   


def other_user(message, user):
    if message.sender == user:
        return message.recipient
    else:
        return message.sender


@register.filter
def other_id(message, user):
    return other_user(message, user).pk


@register.filter
def other_username(message, user):
    return other_user(message, user).username
